CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

历史记录行属性 (ActiveX)

2023-1-3 14:50| 发布者: admin| 查看: 359| 评论: 0|来自: AutoCAD

摘要: 指定文本窗口中要保留在内存中的文本行数。

指定文本窗口中要保留在内存中的文本行数。

支持的平台:仅窗口

签名

工 务 局:

object.HistoryLines
对象

类型:首选项显示

此属性适用的对象。

属性值

只读:

类型:整数

初始值为 400。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_HistoryLines()
    ' This example returns the current setting of
    ' HistoryLines. It then changes the value, and finally
    ' it resets the value back to the original setting.
    
    Dim preferences As AcadPreferences
    Dim currHistoryLines As Integer
    
    Set preferences = ThisDrawing.Application.preferences
    
    ' Retrieve the current HistoryLines value
    currHistoryLines = preferences.DISPLAY.HistoryLines
    MsgBox "The current value for HistoryLines is " & preferences.DISPLAY.HistoryLines, vbInformation, "HistoryLines Example"
    
    ' Change the value for HistoryLines
    preferences.DISPLAY.HistoryLines = 42
    MsgBox "The new value for HistoryLines is " & preferences.DISPLAY.HistoryLines, vbInformation, "HistoryLines Example"
    
    ' Reset HistoryLines to its original value
    preferences.DISPLAY.HistoryLines = currHistoryLines
    MsgBox "The HistoryLines value is reset to " & preferences.DISPLAY.HistoryLines, vbInformation, "HistoryLines Example"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_HistoryLines()
    ;; This example returns the current setting of
    ;; HistoryLines. It then changes the value, and finally
    ;; it resets the value back to the original setting.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Retrieve the current HistoryLines value
    (setq currHistoryLines (vla-get-HistoryLines (vla-get-Display preferences)))
    (alert (strcat "The current value for HistoryLines is " (itoa currHistoryLines)))
    
    ;; Change the value for HistoryLines
    (vla-put-HistoryLines (vla-get-Display preferences) 42)
    (alert (strcat "The new value for HistoryLines is " (itoa (vla-get-HistoryLines (vla-get-Display preferences)))))
    
    ;; Reset HistoryLines to its original value
    (vla-put-HistoryLines (vla-get-Display preferences) currHistoryLines)
    (alert (strcat "The HistoryLines value is reset to " (itoa (vla-get-HistoryLines (vla-get-Display preferences)))))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 14:43

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部